Announcement

Announcement Module
Collapse
No announcement yet.

Percona Server + kUbuntu

Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Percona Server + kUbuntu

    Howdy folks,

    I noticed this issue posted 3 years ago and it appears to remain unaddressed:

    Attempting to install Percona on kUbuntu removes everything Xorg related. Is there a fix/workaround for this? Seems a tad silly that installing MySQL would turn around and remove everything desktop related.

  • #2
    Hi,

    Can you provide the exact version of Percona Server and Kbuntu? Also any other information like what exactly happening while Installing Percona server? You mean to say, its removing everything from desktop?

    Comment


    • #3
      Whatever the latest version 5.6 is in the Apt repository.

      kUbuntu 14.04 -- this appears to have been true for the past few releases.

      When installing Percona-Server-server-56, apt decides that "plasma-desktop" must be removed. Obviously, from there, all of KDE follows as needing to be removed due to the dependency tree attached to plasma-desktop.

      Simpe process:

      Install kUbuntu 14.04
      Add percona Apt repository.
      sudo apt-get install percona-server-5.6 percona-client-5.6

      Watch as it lists everything KDE related as "to be removed".

      Comment


      • #4
        Bumping this up -- curious if this issue is directly related to something that kUbuntu does or if this is an issue with the Percona packages? I'd rather not force/ignore deps to install 5.6

        Comment


        • #5
          TL;DR (UPDATE3) control file in percona-server-server package should list: mysql-server-core-5.5 and mysql-server-core-5.6 in both Replaces and Provides sections. After repacking .deb file with these options set it's possible to have percona-server and akonadi-backend-mysql in Kubuntu.

          I will post more detailed instructions soon here or on my website.

          Link to the bug report (one of many) regarding akonadi package and it's hard dependency on MySQL: https://bugs.launchpad.net/ubuntu/+s...i/+bug/1336005 . It depends on mysql-client or mariadb-client and what's worse - on specific versions (5.5). Akonadi should list percona pkgs in Depends or at least skip versions. Actually, akonadi package should list various "backend providers" (eg. sqlite) and don't list versions.
          Last edited by januszm; 10-02-2014, 03:59 PM.

          Comment

          Working...
          X